import privateRoutes from "private-routes";
import publicRoutes from "public-routes";
import { ComponentType, FC } from "react";
import { ReactCookieProps, withCookies } from "react-cookie";
import { RouteComponentProps, withRouter } from "react-router";
import { renderRoutes, RouteConfig } from "react-router-config";
import { compose } from "redux";

interface RouterRootProps extends ReactCookieProps, RouteComponentProps {}

const RouterRoot: FC<RouterRootProps> = ({ allCookies }) => {
  if (allCookies && allCookies.hasLoginCookie) {
    return renderRoutes(privateRoutes as RouteConfig[], { publicRoutes });
  }

  return renderRoutes(publicRoutes as RouteConfig[], { publicRoutes });
};

export default compose<ComponentType>(withRouter, withCookies)(RouterRoot);
