import Button from "@e-group/material/Button"
import Container from "@e-group/material/Container";
import TextField from "@e-group/material/TextField"
import Typography from "@e-group/material/Typography";
import React, { useState } from 'react'
import { Controller,useForm } from "react-hook-form";
import { BasicExampleFormInput } from "typings";

// Please read react-hook-form official doc for more details.
// https://react-hook-form.com/get-started
const BasicExample = () => {
  const { control, handleSubmit } = useForm<BasicExampleFormInput>();
  const [data, setData] = useState<BasicExampleFormInput>()

  const onSubmit = (data: BasicExampleFormInput) => setData(data);

  return (
    <Container>
      <Typography>Data: {JSON.stringify(data)}</Typography>
      <form onSubmit={handleSubmit(onSubmit)}>
        <Controller
          control={control}
          name="title"
          render={({
            field: { onChange, value },
          }) => (
            <TextField
              label="Title"
              onChange={onChange}
              value={value}
              margin="normal"
            />
          )}
        />
        <div>
          <Button type="submit">Submit</Button>
        </div>
      </form>
    </Container>
  )
}

export default BasicExample
