import RenderRoutes from "components/RenderRoutes";
import Home from "pages/Home";
import ReactHookFormBasicExample from "pages/reactHookFormExamples/BasicExample";
import ReduxBasicExample from "pages/reduxExamples/BasicExample";
import React from "react";
import { Redirect } from "react-router-dom";

export default [
  {
    component: Home,
    path: "/",
    exact: true,
  },
  {
    component: RenderRoutes,
    path: "/react-hook-form",
    routes: [{
      path: "/react-hook-form/basic",
      breadcrumbName: "BasicExample",
      component: ReactHookFormBasicExample,
    }]
  },
  {
    component: RenderRoutes,
    path: "/redux",
    routes: [{
      path: "/redux/basic",
      breadcrumbName: "BasicExample",
      component: ReduxBasicExample,
    }]
  },
  {
    path: "/*",
    render: () => <Redirect to="/" />,
  },
];
