import axios from "axios";
import { LogPayload } from "typings";

export const fetcher = axios.create({
  baseURL: process.env.REACT_APP_API_BASE_URL,
  timeout: 1000 * 60 * 10,
  headers: {
    "Content-Type": "application/json;charset=UTF-8",
  },
});

export const uploadFetcher = axios.create({
  baseURL: process.env.REACT_APP_API_BASE_URL,
  timeout: 0,
  headers: {
    "Content-Type": 'multipart/form-data; charset="utf-8";',
  },
});

export const downloadFetcher = axios.create({
  baseURL: process.env.REACT_APP_API_BASE_URL,
  timeout: 1000 * 60 * 10,
  responseType: "blob",
  headers: {
    "Content-Type": "application/json;charset=UTF-8",
  },
});

const tools = {
  /**
   * Log errors.
   */
  createLog: (payload?: LogPayload) => fetcher.post("/logs", payload),
};

export default {
  tools,
};
